using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.Common;

public partial class Summary : System.Web.UI.Page
{
    private decimal _valorTotal;

    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
            this._valorTotal += ((DbDataRecord)e.Row.DataItem).GetDecimal(0);
        else if (e.Row.RowType == DataControlRowType.Footer)
            e.Row.Cells[0].Text = "Total: " + this._valorTotal.ToString("C2");
    }
}
