using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web;
using System.Web.Configuration;
using System.Web.Security;
using System.Collections.Generic;

public class UsuariosParametrizado
{
    private string _connString;

    public UsuariosParametrizado(string connString)
    {
        this._connString = connString;
    }

    public List<Usuario> ResgataUsuarios()
    {
        List<Usuario> coll = new List<Usuario>();
        SqlConnection conn = new SqlConnection(this._connString);
        string query = "SELECT UsuarioID, Nome, Email FROM Usuario";
        SqlCommand cmd = new SqlCommand(query, conn);
        SqlDataReader dr = null;
        try
        {
            conn.Open();
            dr = cmd.ExecuteReader(CommandBehavior.CloseConnection);
            while (dr.Read())
            {
                Usuario u = new Usuario();
                u.ID = dr.GetInt32(0);
                u.Nome = dr.GetString(1);
                u.Email = dr.GetString(2);
                coll.Add(u);
            }
        }
        finally
        {
            if (dr != null)
                dr.Close();
        }
        return coll;
    }
}
